Skip to content

Most visited

Recently visited

navigation

RestrictTo.Scope

public static final enum RestrictTo.Scope
extends Enum<RestrictTo.Scope>

java.lang.Object
   ↳ java.lang.Enum<android.support.annotation.RestrictTo.Scope>
     ↳ android.support.annotation.RestrictTo.Scope


Summary

Enum values

RestrictTo.Scope  GROUP_ID

This field is deprecated. Use LIBRARY_GROUP instead  

RestrictTo.Scope  LIBRARY

Restrict usage to code within the same library (e.g. 

RestrictTo.Scope  LIBRARY_GROUP

Restrict usage to code within the same group of libraries. 

RestrictTo.Scope  SUBCLASSES

Restrict usage to subclasses of the enclosing class. 

RestrictTo.Scope  TESTS

Restrict usage to tests. 

Public methods

static RestrictTo.Scope valueOf(String name)
static final Scope[] values()

Inherited methods

From class java.lang.Enum
From class java.lang.Object
From interface java.lang.Comparable

Enum values

GROUP_ID

RestrictTo.Scope GROUP_ID

This field is deprecated.
Use LIBRARY_GROUP instead

Restrict usage to code within the same group ID (based on gradle group ID). This is an alias for LIBRARY_GROUP.

LIBRARY

RestrictTo.Scope LIBRARY

Restrict usage to code within the same library (e.g. the same gradle group ID and artifact ID).

LIBRARY_GROUP

RestrictTo.Scope LIBRARY_GROUP

Restrict usage to code within the same group of libraries. This corresponds to the gradle group ID.

SUBCLASSES

RestrictTo.Scope SUBCLASSES

Restrict usage to subclasses of the enclosing class.

Note: This scope should not be used to annotate packages.

TESTS

RestrictTo.Scope TESTS

Restrict usage to tests.

Public methods

valueOf

RestrictTo.Scope valueOf (String name)

Parameters
name String

Returns
RestrictTo.Scope

values

Scope[] values ()

Returns
Scope[]

This site uses cookies to store your preferences for site-specific language and display options.

Get the latest Android developer news and tips that will help you find success on Google Play.

* Required Fields

Hooray!

Follow Google Developers on WeChat

Browse this site in ?

You requested a page in , but your language preference for this site is .

Would you like to change your language preference and browse this site in ? If you want to change your language preference later, use the language menu at the bottom of each page.

This class requires API level or higher

This doc is hidden because your selected API level for the documentation is . You can change the documentation API level with the selector above the left navigation.

For more information about specifying the API level your app requires, read Supporting Different Platform Versions.

Take a short survey?
Help us improve the Android developer experience.
(Sep 2017 survey)